Subject: Re: Checksums and Link Extensions

From: Peter Keane <[email-masked]>
Date: Fri, 11 Jul 2008 07:06:18 -0500

[to the list this time :-)]

This & similar questions have come up numerous times here. I would, BTW,
love to see something like the link extensions draft adopted.

Meanwhile, there is: http://search.yahoo.com/mrss/

Which is pretty widely used. In a system I work on at UT Austin, we use
Atom quite extensively for a digital asset management and presentation
tool. By using the Media RSS extension we got (for free -- it was
unintentional) very fancy slideshows with the PicLens Firefox Extension.
It also specifies a way to state the MD5 checksum for the linked-to
media items.

--peter keane

On Thu, Jul 10, 2008 at 08:08:38PM +0200, Niklas Lindström wrote:
> 
> Hi!
> 
> I need to supply checksums in Atom entries for resources linked via
> content/@src or link/@href. I currently use the Link Extensions [1]
> attribute le:md5, which fits my need precisely.
> 
> But is this I-D abandoned? Is it of interest to anyone else today, or
> should I go another route for this? If nothing comparable for
> signatures exists, how much work would it be to revitalise it (and
> perhaps add e.g. an le:sha1 for completeness)?
> 
> (While it's also possible to send the Content-MD5 HTTP header for the
> actual resource, I would strongly prefer to have the checksums present
> in the entry itself. And since Atom entries work so well as "resource
> manifests", the extensions defined by this I-D look very natural to
> me.)
> 
> I also wonder about the applicability of XML Digital Signatures [2]
> for this. I (primarily) need checksums for out-of-line references, and
> I haven't seen examples of using signatures (the Reference element
> with DigestMethod + DigestValue) in Atom for this specific case (that
> is, not signing the entry, only (some of) it's references). It also
> feels like an awful lot of XML for this quite simple use case. :)
> 
> Does anyone have any advice for this practice?
> 
> Best regards,
> Niklas Lindstr> 
> [1] = <http://tools.ietf.org/html/draft-snell-atompub-link-extensions-02>
> [2] = <http://www.w3.org/TR/xmldsig-core/>

----- End forwarded message -----